> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clearline.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Import products to the system



## OpenAPI

````yaml /openapi.yaml post /pos/{posSystemId}/company/{posCompanyId}/import/products
openapi: 3.0.1
info:
  title: ClearLine POS API
  description: >-
    Point of Sale integration API for ClearLine Marketing Platform. This API
    enables POS systems to send transaction data, manage customer interactions,
    and integrate with marketing campaigns.
  version: v1
servers:
  - url: https://public-api-demo.clearline.me
    description: ClearLine API Server
security: []
paths:
  /pos/{posSystemId}/company/{posCompanyId}/import/products:
    post:
      tags:
        - Import
      summary: Import products to the system
      operationId: PosCompanyImport_ImportPosCompanyProductItems
      parameters:
        - name: posSystemId
          in: path
          required: true
          schema:
            type: string
        - name: posCompanyId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/PosProductItemsImportPostDto'
            example:
              items:
                - productId: '1'
                  productName: Product 1
                  productCategoryId: '10'
                  productCategory: Category 10
                  manufacturer: Manufacturer 5
                  price: 10
          application/json:
            schema:
              $ref: '#/components/schemas/PosProductItemsImportPostDto'
            example:
              items:
                - productId: '1'
                  productName: Product 1
                  productCategoryId: '10'
                  productCategory: Category 10
                  manufacturer: Manufacturer 5
                  price: 10
          text/json:
            schema:
              $ref: '#/components/schemas/PosProductItemsImportPostDto'
            example:
              items:
                - productId: '1'
                  productName: Product 1
                  productCategoryId: '10'
                  productCategory: Category 10
                  manufacturer: Manufacturer 5
                  price: 10
          application/*+json:
            schema:
              $ref: '#/components/schemas/PosProductItemsImportPostDto'
            example:
              items:
                - productId: '1'
                  productName: Product 1
                  productCategoryId: '10'
                  productCategory: Category 10
                  manufacturer: Manufacturer 5
                  price: 10
          application/xml:
            schema:
              $ref: '#/components/schemas/PosProductItemsImportPostDto'
            example:
              items:
                - productId: '1'
                  productName: Product 1
                  productCategoryId: '10'
                  productCategory: Category 10
                  manufacturer: Manufacturer 5
                  price: 10
          text/xml:
            schema:
              $ref: '#/components/schemas/PosProductItemsImportPostDto'
            example:
              items:
                - productId: '1'
                  productName: Product 1
                  productCategoryId: '10'
                  productCategory: Category 10
                  manufacturer: Manufacturer 5
                  price: 10
          application/*+xml:
            schema:
              $ref: '#/components/schemas/PosProductItemsImportPostDto'
            example:
              items:
                - productId: '1'
                  productName: Product 1
                  productCategoryId: '10'
                  productCategory: Category 10
                  manufacturer: Manufacturer 5
                  price: 10
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ImportResultDtoApiResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ImportResultDtoApiResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ImportResultDtoApiResponse'
            application/xml:
              schema:
                $ref: '#/components/schemas/ImportResultDtoApiResponse'
            text/xml:
              schema:
                $ref: '#/components/schemas/ImportResultDtoApiResponse'
      security:
        - BearerAuth: []
        - ImplicitAuth: []
components:
  schemas:
    PosProductItemsImportPostDto:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/PosProductItemImportPostDto'
          description: Items to add
          nullable: true
      additionalProperties: false
      description: Represents product items import request for POS
    ImportResultDtoApiResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/ImportResultDto'
      additionalProperties: false
    PosProductItemImportPostDto:
      type: object
      properties:
        product:
          $ref: '#/components/schemas/ProductItemImportDto'
        externalCategoryIds:
          type: array
          items:
            type: string
          description: External Category.Ids
          nullable: true
      additionalProperties: false
      description: Represents product item import request for POS
    ImportResultDto:
      type: object
      properties:
        status:
          type: string
          description: Status message.
          nullable: true
        createdCount:
          type: integer
          description: Created new items count.
          format: int32
        updatedCount:
          type: integer
          description: Updated existing items count.
          format: int32
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ImportErrorDto'
          description: Import errors.
          nullable: true
        warnings:
          type: array
          items:
            $ref: '#/components/schemas/ImportWarningDto'
          description: Import warnings.
          nullable: true
      additionalProperties: false
      description: Results of import
    ProductItemImportDto:
      type: object
      properties:
        productId:
          type: string
          description: Product ID
          nullable: true
        productName:
          type: string
          description: Product name
          nullable: true
        manufacturer:
          type: string
          description: Manufacturer
          nullable: true
        price:
          type: number
          description: price
          format: double
          nullable: true
      additionalProperties: false
      description: Represents product item
    ImportErrorDto:
      type: object
      properties:
        entityId:
          type: string
          description: Id of the imported entity
          nullable: true
        rowNumber:
          type: integer
          description: Row number in the source list
          format: int32
        errorMessage:
          type: string
          description: Error message
          nullable: true
        errorDetails:
          type: string
          description: Error details
          nullable: true
      additionalProperties: false
      description: Error in the import
    ImportWarningDto:
      type: object
      properties:
        entityId:
          type: string
          description: Id of the imported entity
          nullable: true
        rowNumber:
          type: integer
          description: Row number in the source list
          format: int32
        message:
          type: string
          description: Warning message
          nullable: true
        details:
          type: string
          description: Warning details
          nullable: true
      additionalProperties: false
      description: Warning in the import
  securitySchemes:
    BearerAuth:
      type: http
      description: |-

        JWT Authorization header using the Bearer scheme.

        Enter **_JWT Bearer token only_** in the text input below.
      scheme: bearer
      bearerFormat: JWT
    ImplicitAuth:
      type: oauth2
      description: Implicit scheme
      flows:
        implicit:
          authorizationUrl: https://logindemo.clearline.me/connect/authorize
          scopes:
            clearline_api: Grants access to Clearline API endpoints.

````